org.apache.ignite.internal.visor.query

## Class VisorRunningQuery

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorRunningQuery

All Implemented Interfaces:
  Serializable

    public class VisorRunningQuery
    extends Object
    implements Serializable

Descriptor of running query.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorRunningQuery(long id, String qry, GridCacheQueryType qryType, String cache, long startTime, long duration, boolean cancellable, boolean loc)`

### Method Summary

Methods
`String` `getCache()`
`long` `getDuration()`
`long` `getId()`
`String` `getQuery()`
`GridCacheQueryType` `getQueryType()`
`long` `getStartTime()`
`boolean` `isCancelable()`
`boolean` `isLocal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorRunningQuery

    public VisorRunningQuery(long id,
                     String qry,
                     GridCacheQueryType qryType,
                     String cache,
                     long startTime,
                     long duration,
                     boolean cancellable,
                     boolean loc)

Parameters:
  `id` - Query ID.
  `qry` - Query text.
  `qryType` - Query type.
  `cache` - Cache where query was executed.
  `startTime` - Query start time.
  `duration` - Query current duration.
  `cancellable` - `true` if query can be canceled.
  `loc` - `true` if query is local.

### Method Detail

#### getId

    public long getId()

Returns:
  Query ID.

#### getQuery

    public String getQuery()

Returns:
  Query txt.

#### getQueryType

    public GridCacheQueryType getQueryType()

Returns:
  Query type.

#### getCache

    public String getCache()

Returns:
  Cache name.

#### getStartTime

    public long getStartTime()

Returns:
  Query start time.

#### getDuration

    public long getDuration()

Returns:
  Query duration.

#### isCancelable

    public boolean isCancelable()

Returns:
  `true` if query can be cancelled.

#### isLocal

    public boolean isLocal()

Returns:
  `true` if query is local.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017